# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.Topic

Packages that use Topic
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.util

## Uses of Topic in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews that return Topic
Modifier and Type
Method
Description
`Topic`
ReviewsFactory.`createTopic()`
Returns a new object of class 'Topic'.
`Topic`
Topic.`getNextHeading()`
Returns the value of the 'Next Heading' reference.
`Topic`
Topic.`getParentHeading()`
Returns the value of the 'Parent Heading' reference.
`Topic`
Topic.`getPreviousHeading()`
Returns the value of the 'Previous Heading' reference.
`default Topic`
TopicContainer.`getTopic(ModelReference modelReference)`
Methods in org.eclipse.emf.cdo.lm.reviews that return types with arguments of type Topic
Modifier and Type
Method
Description
`EList<Topic>`
TopicContainer.`getTopics()`
Returns the value of the 'Topics' containment reference list.
`default EList<Topic>`
TopicContainer.`getTopics(ModelReference modelReference)`
Method parameters in org.eclipse.emf.cdo.lm.reviews with type arguments of type Topic
Modifier and Type
Method
Description
`default boolean`
TopicContainer.`forEachTopic(Predicate<Topic> consumer)`

## Uses of Topic in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement Topic
Modifier and Type
Class
Description
`class`
`TopicImpl`
An implementation of the model object 'Topic'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Topic
Modifier and Type
Method
Description
`Topic`
ReviewsFactoryImpl.`createTopic()`
`Topic`
TopicImpl.`getNextHeading()`
`Topic`
TopicImpl.`getParentHeading()`
`Topic`
TopicImpl.`getPreviousHeading()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return types with arguments of type Topic
Modifier and Type
Method
Description
`EList<Topic>`
ReviewImpl.`getTopics()`
`EList<Topic>`
TopicContainerImpl.`getTopics()`
Method parameters in org.eclipse.emf.cdo.lm.reviews.impl with type arguments of type Topic
Modifier and Type
Method
Description
`boolean`
TopicImpl.`forEachTopic(Predicate<Topic> consumer)`

## Uses of Topic in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util that return Topic
Modifier and Type
Method
Description
`static Topic`
ReviewsOperationAuthorizer.`getContextTopic(org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)`
Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type Topic
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseTopic(Topic object)`
Returns the result of interpreting the object as an instance of 'Topic'.